## rails 6.0.3.7+dfsg

=== debian/changelog ===
rails (2:6.0.3.7+dfsg-2+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-23913: a DOM based cross-site scripting in rails-ujs
    for contenteditable HTML.
  * CVE-2023-28120: Possible XSS Security Vulnerability in
    SafeBuffer#bytesplice.
  * Address a regression introduced in the fix of CVE-2021-22942.

 -- Aron Xu <aron@debian.org>  Fri, 07 Apr 2023 01:30:34 +0800

rails (2:6.0.3.7+dfsg-2+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2021-22942: possible open redirect vulnerability in the Host
    Authorization middleware.
  * CVE-2021-44528: specially crafted "X-Forwarded-Host" headers in
    combination with certain "allowed host" formats can lead to
    redirection of users to a malicious website.
  * CVE-2022-21831: code injection in Active Storage.
  * CVE-2022-22577: XSS in Action Pack which can lead to bypass CSP
    for non HTML like responses.
  * CVE-2022-23633: thread local state for the next request may not be
    reset when the response body has been fully closed.
  * CVE-2022-27777: XSS in Action View which can lead to content
    injection.
  * CVE-2023-22792: regular expression based DoS with specially crafted
    cookies and X_FORWARDED_HOST headers.
  * CVE-2023-22794: malicious user input may be sent to the database
    with insufficient sanitization and be able to inject SQL outside of
    the comment.
  * CVE-2023-22795: regular expression based DoS related to crafted
    If-None-Match header.
  * CVE-2023-22796: regular expression based DoS related to the
    underscore method.

 -- Aron Xu <aron@debian.org>  Sat, 11 Mar 2023 14:53:57 +0800

rails (2:6.0.3.7+dfsg-2) unstable; urgency=medium

  * Partially revert "Update minimum version of ruby-marcel to 1.0~".
  * Add patch relax marcel for bullseye.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 09 Jul 2021 00:33:18 +0530

rails (2:6.0.3.7+dfsg-1) unstable; urgency=high

  * Upload to unstable directly.
  * New upstream version 6.0.3.7+dfsg. (Closes: #988214)
    - Prevent slow regex when parsing host authorization header.
      (Fixed: CVE-2021-22904)
    - Prevent catastrophic backtracking during mime parsing.
      (Fixes: CVE-2021-22902)
    - Prevent string polymorphic route arguments.
      (Fixes: CVE-2021-22885)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 15 May 2021 16:05:45 +0530

rails (2:6.0.3.6+dfsg-2) experimental; urgency=medium

  * Install @rails/actioncable node module and Provide node-rails-actioncable

 -- Pirate Praveen <praveen@debian.org>  Sun, 02 May 2021 23:47:43 +0530

rails (2:6.0.3.6+dfsg-1) experimental; urgency=medium

  * Team Upload
  * New upstream version 6.0.3.6+dfsg (upgrade Active Storage’s Marcel
    dependency to version 1.0.0.)
    Before 1.0.0, Marcel—which is distributed under the terms of the MIT
    License, like Rails—indirectly depended on MIME type data released under
    the GNU General Public License making the effective license of rails
    applications GPL. Marcel 1.0.0 instead directly packages MIME type data
    adapted from Apache Tika, released under the permissive and compatible
    Apache License 2.0.
  * Update minimum version of ruby-marcel to 1.0~

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Apr 2021 15:52:41 +0530
