=== debian/control ===
Source: rails
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Sruthi Chandran <srud@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>,
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gem2deb,
# Node packages
               rollup,
               node-rollup-plugin-node-resolve (>= 11~),
               node-rollup-plugin-commonjs (>= 15~),
               node-rollup-plugin-babel (>= 5.2~),
               node-babel7,
               webpack,
# Ruby packages - implicit dependencies
               ruby-byebug,
# Ruby packages - from Gemfile
               puma (>= 4.1~),
# Dropping due to chromium dependency #976291
#              qunit-selenium <!nocheck>,
               racc,
               rake (>= 11.1),
               ruby-bcrypt (<< 3.2),
               ruby-bcrypt (>= 3.1.11),
               ruby-benchmark-ips,
               ruby-blade,
               ruby-blade-sauce-labs-plugin,
               ruby-capybara (>= 2.15),
               ruby-chromedriver-helper,
               ruby-connection-pool,
               ruby-dalli,
               ruby-delayed-job,
               ruby-delayed-job-active-record,
               ruby-hiredis,
               ruby-image-processing (<< 2.0),
               ruby-image-processing,
               ruby-json (>= 2.0.0),
               ruby-libxml,
               ruby-listen (>= 3.2~),
               ruby-minitest-reporters,
               ruby-mysql2 (>= 0.4.10),
               ruby-pg (>= 0.18.0),
               ruby-rack-cache (<< 2.0),
               ruby-rack-cache,
               ruby-redis (<< 5.0),
               ruby-redis (>= 4.0),
               ruby-redis-namespace,
               ruby-sass-rails (>= 6.0~),
               ruby-sdoc,
               ruby-selenium-webdriver,
               ruby-sequel,
               ruby-sidekiq,
               ruby-sprockets-export,
               ruby-sqlite3,
               ruby-turbolinks (>= 5.0),
               ruby-uglifier,
               ruby-webmock,
# Ruby packages - from each gemspecs
               ruby-builder (<< 4.0) <!nocheck>,
               ruby-builder <!nocheck>,
               ruby-bundler <!nocheck>,
               ruby-concurrent (<< 2.0) <!nocheck>,
               ruby-concurrent (>= 1.0.2) <!nocheck>,
               ruby-erubi (<< 2.0) <!nocheck>,
               ruby-erubi <!nocheck>,
               ruby-globalid <!nocheck>,
               ruby-i18n (<< 2.0) <!nocheck>,
               ruby-i18n (>= 0.7) <!nocheck>,
               ruby-mail (<< 3.0) <!nocheck>,
               ruby-mail (>= 2.7.1) <!nocheck>,
               ruby-marcel <!nocheck>,
               ruby-method-source <!nocheck>,
               ruby-minitest (<< 6.0) <!nocheck>,
               ruby-minitest <!nocheck>,
               ruby-nio4r (<< 3.0) <!nocheck>,
               ruby-nio4r (>= 2.0) <!nocheck>,
               ruby-nokogiri (>= 1.8.5) <!nocheck>,
               ruby-rack (<< 3.0) <!nocheck>,
               ruby-rack (>= 2.0.8) <!nocheck>,
               ruby-rack-test (>= 0.6.3) <!nocheck>,
               ruby-rails-dom-testing (<< 3.0) <!nocheck>,
               ruby-rails-dom-testing (>= 2.0) <!nocheck>,
               ruby-rails-html-sanitizer (<< 2.0) <!nocheck>,
               ruby-rails-html-sanitizer (>= 1.2~) <!nocheck>,
               ruby-sprockets-rails (>= 2.3.2~) <!nocheck>,
               ruby-thor (<< 2.0) <!nocheck>,
               ruby-thor (>= 0.20.3) <!nocheck>,
               ruby-tzinfo (<< 2.0) <!nocheck>,
               ruby-tzinfo <!nocheck>,
               ruby-websocket-driver <!nocheck>,
               sqlite3 <!nocheck>,
               ruby-zeitwerk (<< 3.0) <!nocheck>,
               ruby-zeitwerk <!nocheck>,
# For activesupport tests
               redis-server <!nocheck>,
               procps <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/ruby-team/rails
Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
Homepage: https://rubyonrails.org/
XS-Ruby-Versions: all

Package: ruby-activesupport
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-concurrent (<< 2.0),
         ruby-concurrent (>= 1.0.2),
         ruby-i18n (<< 2.0),
         ruby-i18n (>= 0.7),
         ruby-minitest (<< 6.0),
         ruby-minitest,
         ruby-tzinfo (<< 2.0),
         ruby-tzinfo,
         ruby-zeitwerk (<< 3.0),
         ruby-zeitwerk,
         ${misc:Depends}
Breaks: gitaly (<= 1.78.0+dfsg-2~)
Description: collection of utility classes used by the Rails framework
 Active Support is a collection of utility classes and standard library
 extensions that were found useful for the Rails framework.
 .
 The classes reside in this package so they can be loaded as needed in
 Ruby projects outside of Rails.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: activesupport/

Package: ruby-activerecord
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-activemodel (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ${misc:Depends}
Breaks: ruby-activerecord-import (<< 1.0.5~),
        ruby-acts-as-taggable-on (<< 6.5~),
        ruby-sidekiq (<< 6.0~)
Description: object-relational mapper framework (part of Rails)
 Active Records is a framework to work with databases on Rails. Build
 a persistent domain model by mapping database tables to Ruby classes.
 Strong conventions for associations, validations, aggregations,
 migrations, and testing come baked-in.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: activerecord/

Package: ruby-activemodel
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ${misc:Depends}
Breaks: ruby-web-console (<< 4.0~)
Description: toolkit for building modeling frameworks (part of Rails)
 Active Model is a toolkit for building modeling frameworks like
 Active Record and Active Resource. This includes a rich support for
 attributes, callbacks, validations, observers, serialization,
 internationalization, and testing.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: activemodel/

Package: ruby-activejob
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ruby-globalid,
         ${misc:Depends}
Description: job framework with pluggable queues (part of Rails)
 Active Job is a framework for declaring jobs and making them run on a variety
 of queueing backends. These jobs can be everything from regularly scheduled
 clean-ups, to billing charges, to mailings. Anything that can be chopped up
 into small units of work and run in parallel.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: activejob/

Package: ruby-actionview
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ruby-builder (<< 4.0),
         ruby-builder,
         ruby-erubi (<< 2.0),
         ruby-erubi,
         ruby-rails-dom-testing (<< 3.0),
         ruby-rails-dom-testing (>= 2.0),
         ruby-rails-html-sanitizer (<< 2.0),
         ruby-rails-html-sanitizer (>= 1.2~),
         ${misc:Depends}
Breaks: ruby-web-console (<< 4.0~)
Description: framework for handling view template lookup and rendering (part of Rails)
 Action View is a framework for handling view template lookup and
 rendering, and provides view helpers that assist when building HTML
 forms, Atom feeds and more. Template formats that Action View handles
 are ERB (embedded Ruby, typically used to inline short Ruby snippets
 inside HTML), and XML Builder.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: actionview/

Package: ruby-actionpack
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-actionview (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-rack (<< 3.0),
         ruby-rack (>= 2.0.8),
         ruby-rack-test (>= 0.6.3),
         ruby-rails-dom-testing (<< 3.0),
         ruby-rails-dom-testing (>= 2.0),
         ruby-rails-html-sanitizer (<< 2.0),
         ruby-rails-html-sanitizer (>= 1.2~),
         ${misc:Depends}
Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
 Action Pack is a framework for web apps on Rails. Simple,
 battle-tested conventions for building and testing MVC web
 applications. Works with any Rack-compatible server.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: actionpack/

Package: ruby-actionmailbox
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-activejob (= ${source:Version}),
         ruby-activerecord (= ${source:Version}),
         ruby-activestorage (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-mail (>= 2.7.1),
         ${misc:Depends}
Description: receive and process incoming emails (part of Rails)
 Action Mailbox routes incoming emails to controller-like mailboxes for
 processing in Rails. It ships with ingresses for Mailgun, Mandrill,
 Postmark, and SendGrid. It provides the way for handling inbound mails
 directly via the built-in Exim, Postfix, and Qmail ingresses.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: actionmailbox/

Package: ruby-actionmailer
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-actionview (= ${source:Version}),
         ruby-activejob (= ${source:Version}),
         ruby-mail (<< 3.0),
         ruby-mail,
         ruby-rails-dom-testing (<< 3.0),
         ruby-rails-dom-testing (>= 2.0),
         ${misc:Depends}
Breaks: ruby-sidekiq (<< 6.0~)
Description: email composition, delivery framework (part of Rails)
 Action Mailer is a framework for working with email on Rails.
 Compose, deliver, and test emails using the familiar controller/view
 pattern. First-class support for multipart email and attachments.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: actionmailer/

Package: ruby-actioncable
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-nio4r (<< 3.0),
         ruby-nio4r (>= 2.0),
         ruby-websocket-driver,
         ${misc:Depends}
Provides: node-rails-actioncable (=${source:Version})
Description: WebSocket framework for Rails (part of Rails)
 Action Cable seamlessly integrates WebSockets with the rest of your Rails
 application. It allows for real-time features to be written in Ruby in the same
 style and form as the rest of your Rails application, while still being
 performant and scalable. It's a full-stack offering that provides both a
 client-side JavaScript framework and a server-side Ruby framework. You have
 access to your full domain model written with Active Record or your ORM of
 choice.
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: actioncable/

Package: ruby-activestorage
Architecture: all
Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-activejob (= ${source:Version}),
         ruby-activerecord (= ${source:Version}),
         ruby-marcel,
         ${misc:Depends}
Description: local and cloud file storage framework (part of Rails)
 Active Storage makes it simple to upload and reference files in cloud services
 like Amazon S3 and Microsoft Azure Storage, and attach those files to Active
 Records. Supports having one main service and mirrors in other services for
 redundancy. It also provides a disk service for testing or local deployments,
 but the focus is on cloud storage.
 .
 Files can be uploaded from the server to the cloud or directly from the client
 to the cloud.
 .
 Image files can furthermore be transformed using on-demand variants for
 quality, aspect ratio, size, or any other MiniMagick supported transformation.
XB-Ruby-Versions: ${ruby:Versions}
