## rails 6.1.4.1%2Bdfsg

=== debian/changelog ===
rails (2:6.1.4.1+dfsg-8ubuntu2) jammy; urgency=medium

  * Revert all changes applied to break cicular dependency.
    - d/control: re-add all b-d marked as <!nocheck>.
    - d/ruby-tests.rb: uncomment the entire file.
    - d/rules: uncomment call to script to start and stop redis to run
      tests, and GEM2DEB_TEST_RUNNER = --check-dependencies.
  * d/ruby-tests.rb: temporarily skip activesupport tests.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 14 Dec 2021 17:03:24 -0300

rails (2:6.1.4.1+dfsg-8ubuntu1) jammy; urgency=medium

  * Do not run tests and remove some b-d to break circular dependency.
    - d/control: remove all b-d marked as <!nocheck>.
    - d/ruby-tests.rb: comment out the entire file.
    - d/rules: comment out call to script to start and stop redis to run
      tests, and GEM2DEB_TEST_RUNNER = --check-dependencies.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 08 Dec 2021 16:09:06 -0300

rails (2:6.1.4.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/control (Breaks): Add more packages for the transition.
    (Depends): Remove interpreter and use ruby:any.
    (Build-Depends): Raise ruby-globalid version due to rails/globalid#123.
  * d/patches/relax-dependencies.patch: Adjust.
    - Relax dependencies in created app Gemfile as well.
  * d/patches/use-system-webpacker.patch: Adjust.
    - Set to current webpacker version.
  * d/source/lintian-overrides: Fix overrides.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 02 Dec 2021 07:30:48 +0100

rails (2:6.1.4.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/control (Breaks): Add ruby-actionpack-action-caching,
    ruby-actionpack-page-caching, ruby-activerecord-nulldb-adapter,
    ruby-data-migrate.
  * d/patches/temporarily-disable-encoded-key-cache-behavior-test.patch: Add.
    - Disable flaky test. Upstream discovered several race conditions.
      Don't let them stop the transition.
  * d/patches/series: Enable new patch.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 29 Nov 2021 03:44:54 +0100

rails (2:6.1.4.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * d/patches/disable-rack-mini-profiler-gem.patch: Add patch.
    - Comment out rack-mini-profiler gem until it has been packaged.
  * d/patches/series: Add new patch.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 28 Nov 2021 23:14:36 +0100

rails (2:6.1.4.1+dfsg-5) unstable; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * Source-only reupload
  * The 6.1 version:
    - has tests working with ruby3.0 (Closes: #998507)
    - uses puma >= 5 (Closes: #997883)
    - fixes tests for ruby-rspec-rails (Closes: #996377)
  * relax-dependencies.patch: relax more gem dependencies
    + on webpacker
    + on selenium-webdriver
    + on mysql2
    + on redis-namespace
  * Build-depend on ruby-webpacker
  * Declare breaking older packages:
    + ruby-activesupport breaks ruby-delayed-job < 4.1.8
    + ruby-activerecord breaks delayed-job-active-record < 4.1.5
  * Depend on ruby-web-console >= 4.1 and break earlier versions

  [ Antonio Terceiro ]
  * Add patch: activerecord: add missing require statements
  * debian/rules: removing trailing whitespace
  * debian/rules: look for nocheck in DEB_BUILD_OPTIONS
  * Add missing build dependency on ruby-webrick

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 22 Nov 2021 19:18:38 -0300

rails (2:6.1.4.1+dfsg-4) unstable; urgency=medium

  * Team upload
  * Upload with nocheck profile and with binaries to break circular dependency
    with version incompatibilities rails/ruby-sprockets-rails/ruby-tzinfo

 -- Cédric Boutillier <boutil@debian.org>  Fri, 19 Nov 2021 18:13:00 +0100

rails (2:6.1.4.1+dfsg-3) unstable; urgency=medium

  * No-change rebuild for unstable.
    - Let's break the world. \o/

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 15 Nov 2021 22:41:51 +0530

rails (2:6.1.4.1+dfsg-2) experimental; urgency=medium

  * Team Upload
  * Update minimum version of dependencies, for partial update from buster,
    thanks to lepalom. ruby-zeitwerk (>= 2.3~), ruby-i18n (>= 1.6~),
    ruby-thor (>= 1.0~)

 -- Pirate Praveen <praveen@debian.org>  Mon, 20 Sep 2021 20:27:32 +0530

rails (2:6.1.4.1+dfsg-1) experimental; urgency=medium

  * Team Upload
  * New upstream version 6.1.4.1+dfsg
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 Sep 2021 21:00:57 +0530

rails (2:6.1.4+dfsg-4) experimental; urgency=medium

  [ Pirate Praveen ]
  * Fix silent build failure and adapt rollup.config.js for recent changes
    (cherry pick from master-6.0 branch)

  [ Utkarsh Gupta ]
  * Drop Jongmin Kim from uploaders. (cherry pick from master-6.0 branch)

  [ Pirate Praveen ]
  * Fix syntax error introduced in patch (fixes ftbfs)

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Sep 2021 23:28:50 +0530

rails (2:6.1.4+dfsg-3) experimental; urgency=medium

  * Team Upload
  * Enable gemspec dependency check during build
  * Add ruby-mini-mime dependency

 -- Pirate Praveen <praveen@debian.org>  Tue, 07 Sep 2021 22:46:37 +0530

rails (2:6.1.4+dfsg-2) experimental; urgency=medium

  * Binary included upload to fix circular dependency 

 -- Sruthi Chandran <srud@debian.org>  Mon, 06 Sep 2021 23:06:39 +0530

rails (2:6.1.4+dfsg-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 6.1.0+dfsg
  * Refresh the first patch

  [ Sruthi Chandran ]
  * New upstream version 6.1.4+dfsg
  * Refresh patches
  * Exclude minified file (clipboard.js)

 -- Sruthi Chandran <srud@debian.org>  Tue, 27 Jul 2021 00:57:58 +0530
