## rails 6.1.4.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: rails
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Sruthi Chandran <srud@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
 Section: ruby
@@ -17,7 +18,7 @@
 # Ruby packages - implicit dependencies
                ruby-byebug,
 # Ruby packages - from Gemfile
-               puma (>= 4.1~),
+               puma (>= 5~),
 # Dropping due to chromium dependency #976291
 #              qunit-selenium <!nocheck>,
                racc,
@@ -57,6 +58,7 @@
                ruby-turbolinks (>= 5.0),
                ruby-uglifier,
                ruby-webmock,
+               ruby-webpacker,
 # Ruby packages - from each gemspecs
                ruby-builder (<< 4.0) <!nocheck>,
                ruby-builder <!nocheck>,
@@ -65,12 +67,12 @@
                ruby-concurrent (>= 1.0.2) <!nocheck>,
                ruby-erubi (<< 2.0) <!nocheck>,
                ruby-erubi <!nocheck>,
-               ruby-globalid <!nocheck>,
-               ruby-i18n (<< 2.0) <!nocheck>,
-               ruby-i18n (>= 0.7) <!nocheck>,
+               ruby-globalid (>= 0.5.0~) <!nocheck>,
+               ruby-i18n (>= 1.6~) <!nocheck>,
                ruby-mail (<< 3.0) <!nocheck>,
                ruby-mail (>= 2.7.1) <!nocheck>,
-               ruby-marcel <!nocheck>,
+               ruby-marcel (>= 1.0~) <!nocheck>,
+               ruby-mini-mime (>= 1.1~) <!nocheck>,
                ruby-method-source <!nocheck>,
                ruby-minitest (<< 6.0) <!nocheck>,
                ruby-minitest <!nocheck>,
@@ -85,18 +87,16 @@
                ruby-rails-html-sanitizer (<< 2.0) <!nocheck>,
                ruby-rails-html-sanitizer (>= 1.2~) <!nocheck>,
                ruby-sprockets-rails (>= 2.3.2~) <!nocheck>,
-               ruby-thor (<< 2.0) <!nocheck>,
-               ruby-thor (>= 0.20.3) <!nocheck>,
-               ruby-tzinfo (<< 2.0) <!nocheck>,
-               ruby-tzinfo <!nocheck>,
+               ruby-thor (>= 1.0~) <!nocheck>,
+               ruby-tzinfo (>= 2.0) <!nocheck>,
+               ruby-webrick (>= 1.7~) <!nocheck>,
                ruby-websocket-driver <!nocheck>,
                sqlite3 <!nocheck>,
-               ruby-zeitwerk (<< 3.0) <!nocheck>,
-               ruby-zeitwerk <!nocheck>,
+               ruby-zeitwerk (>= 2.3~) <!nocheck>,
 # For activesupport tests
                redis-server <!nocheck>,
                procps <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/rails
 Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
 Homepage: https://rubyonrails.org/
@@ -104,19 +104,18 @@
 
 Package: ruby-activesupport
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-concurrent (<< 2.0),
          ruby-concurrent (>= 1.0.2),
-         ruby-i18n (<< 2.0),
-         ruby-i18n (>= 0.7),
+         ruby-i18n (>= 1.6~),
          ruby-minitest (<< 6.0),
          ruby-minitest,
-         ruby-tzinfo (<< 2.0),
-         ruby-tzinfo,
-         ruby-zeitwerk (<< 3.0),
-         ruby-zeitwerk,
-         ${misc:Depends}
-Breaks: gitaly (<= 1.78.0+dfsg-2~)
+         ruby-tzinfo (>= 2.0),
+         ruby-zeitwerk (>= 2.3~),
+         ${misc:Depends}
+Breaks: gitaly (<= 1.78.0+dfsg-2~),
+        ruby-delayed-job (<< 4.1.9~),
+        ruby-globalid (<< 0.5.0~)
 Description: collection of utility classes used by the Rails framework
  Active Support is a collection of utility classes and standard library
  extensions that were found useful for the Rails framework.
@@ -128,12 +127,19 @@
 
 Package: ruby-activerecord
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-activemodel (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
          ${misc:Depends}
 Breaks: ruby-activerecord-import (<< 1.0.5~),
+        ruby-activerecord-nulldb-adapter (<< 0.8.0~),
         ruby-acts-as-taggable-on (<< 6.5~),
+        ruby-delayed-job-active-record (<< 4.1.6-3~),
+        ruby-enumerize (<< 2.4.0~),
+        ruby-has-secure-token (<< 1.0.0-3~),
+        ruby-joiner (<< 0.6.0~),
+        ruby-otr-activerecord (<< 2.0.0~),
+        ruby-paranoia (<< 2.4.3~),
         ruby-sidekiq (<< 6.0~)
 Description: object-relational mapper framework (part of Rails)
  Active Records is a framework to work with databases on Rails. Build
@@ -145,10 +151,11 @@
 
 Package: ruby-activemodel
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
-         ruby-activesupport (= ${source:Version}),
-         ${misc:Depends}
-Breaks: ruby-web-console (<< 4.0~)
+Depends: ruby:any (>= 1:2.5.0),
+         ruby-activesupport (= ${source:Version}),
+         ${misc:Depends}
+Breaks: ruby-inherited-resources (<< 1.13.0~),
+        ruby-web-console (<< 4.1~)
 Description: toolkit for building modeling frameworks (part of Rails)
  Active Model is a toolkit for building modeling frameworks like
  Active Record and Active Resource. This includes a rich support for
@@ -159,7 +166,7 @@
 
 Package: ruby-activejob
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-activesupport (= ${source:Version}),
          ruby-globalid,
          ${misc:Depends}
@@ -173,7 +180,7 @@
 
 Package: ruby-actionview
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-activesupport (= ${source:Version}),
          ruby-builder (<< 4.0),
          ruby-builder,
@@ -184,7 +191,7 @@
          ruby-rails-html-sanitizer (<< 2.0),
          ruby-rails-html-sanitizer (>= 1.2~),
          ${misc:Depends}
-Breaks: ruby-web-console (<< 4.0~)
+Breaks: ruby-web-console (<< 4.1~)
 Description: framework for handling view template lookup and rendering (part of Rails)
  Action View is a framework for handling view template lookup and
  rendering, and provides view helpers that assist when building HTML
@@ -196,7 +203,7 @@
 
 Package: ruby-actionpack
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-actionview (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
          ruby-rack (<< 3.0),
@@ -207,6 +214,9 @@
          ruby-rails-html-sanitizer (<< 2.0),
          ruby-rails-html-sanitizer (>= 1.2~),
          ${misc:Depends}
+Breaks: ruby-actionpack-action-caching (<< 1.2.2),
+        ruby-actionpack-page-caching (<< 1.2.4),
+        ruby-rails-controller-testing (<< 1.0.5-2~)
 Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
  Action Pack is a framework for web apps on Rails. Simple,
  battle-tested conventions for building and testing MVC web
@@ -216,7 +226,7 @@
 
 Package: ruby-actionmailbox
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-actionpack (= ${source:Version}),
          ruby-activejob (= ${source:Version}),
          ruby-activerecord (= ${source:Version}),
@@ -234,7 +244,7 @@
 
 Package: ruby-actionmailer
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-actionpack (= ${source:Version}),
          ruby-actionview (= ${source:Version}),
          ruby-activejob (= ${source:Version}),
@@ -253,7 +263,7 @@
 
 Package: ruby-actioncable
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-actionpack (= ${source:Version}),
          ruby-nio4r (<< 3.0),
          ruby-nio4r (>= 2.0),
@@ -273,22 +283,13 @@
 
 Package: ruby-activestorage
 Architecture: all
-Depends: ruby (>= 1:2.5.0) | ruby-interpreter,
+Depends: ruby:any (>= 1:2.5.0),
          ruby-actionpack (= ${source:Version}),
          ruby-activejob (= ${source:Version}),
          ruby-activerecord (= ${source:Version}),
-         ruby-marcel,
+         ruby-marcel (>= 1.0~),
+         ruby-mini-mime (>= 1.1~),
          ${misc:Depends}
 Description: local and cloud file storage framework (part of Rails)
  Active Storage makes it simple to upload and reference files in cloud services
  like Amazon S3 and Microsoft Azure Storage, and attach those files to Active
- Records. Supports having one main service and mirrors in other services for
- redundancy. It also provides a disk service for testing or local deployments,
- but the focus is on cloud storage.
- .
- Files can be uploaded from the server to the cloud or directly from the client
- to the cloud.
- .
- Image files can furthermore be transformed using on-demand variants for
- quality, aspect ratio, size, or any other MiniMagick supported transformation.
-XB-Ruby-Versions: ${ruby:Versions}
