## rails 6.1.7+dfsg

=== debian/changelog ===
rails (2:6.1.7+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Nilesh Patra ]
  * Add patche to fix FTBFS with rollup 3

  [ Antonio Terceiro ]
  * Add patch for compatibility with ruby3.1

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 09 Dec 2022 17:09:01 -0300

rails (2:6.1.7+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/p/0002-disable-uglify-in-activestorage-rollup-config-js.patch:
    + Use modulePaths instead of moduleDirectories (Closes: #1022332)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Oct 2022 21:37:16 +0530

rails (2:6.1.7+dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.7+dfsg.
  * Drop patches that have been included in this release.
  * Refresh d/patches.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 12 Sep 2022 22:40:02 +0530

rails (2:6.1.6.1+dfsg-4) unstable; urgency=high

  * Add patch to allow Date, Time, ActiveSupport::HashWithIndifferentAccess
    in YAML columns.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 07 Sep 2022 04:21:07 +0530

rails (2:6.1.6.1+dfsg-3) unstable; urgency=high

  * Add patch to remove active_record.yaml initializers.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 06 Sep 2022 04:54:43 +0530

rails (2:6.1.6.1+dfsg-2) unstable; urgency=high

  [ Pirate Praveen ]
  * Add <!nocheck> for ruby-selenium-webdriver

  [ Utkarsh Gupta ]
  * Add patch to allow Symbols in YAML columns. (Closes: #1018934)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 06 Sep 2022 04:34:47 +0530

rails (2:6.1.6.1+dfsg-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Remove <!nocheck> build profile from runtime dependencies.

  [ Utkarsh Gupta ]
  * New upstream version 6.1.6.1+dfsg. (Fixes: CVE-2022-22577,
    CVE-2022-27777, CVE-2022-32224) (Closes: #1011941, #1016982, #1016140)
  * d/control: Update minimum version of ruby-selenium-webdriver to 4.0.0
    for autopkgtest. :)

  [ Gabriela Pivetta ]
  * d/p/activerecord-add-missing-require-statements.patch: Drop
    patch that has been merged upstream.
  * d/patches: Refresh patches.

 -- Gabriela Pivetta <gpivetta99@gmail.com>  Thu, 18 Aug 2022 15:46:46 -0300

rails (2:6.1.4.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip flaky tests in activesupport (Closes: #1006981)

 -- Pirate Praveen <praveen@debian.org>  Tue, 21 Jun 2022 15:40:07 +0530

rails (2:6.1.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update filenamemangle in watch file regex
  * New upstream version 6.1.4.7+dfsg (Fixes: CVE-2022-21831)
  * Convert rails-ujs.coffee to js using coffee command line and pass
    javascript code to blade tool instead of directly passing coffeescript.
    This fixes build failure caused by coffeescript 2 outputting ES6
    (Closes: #1013218)

 -- Pirate Praveen <praveen@debian.org>  Mon, 20 Jun 2022 23:48:08 +0530

rails (2:6.1.4.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Switch to ruby-terser from ruby-uglifier (better maintained fork)

 -- Pirate Praveen <praveen@debian.org>  Wed, 01 Jun 2022 18:32:47 +0530

rails (2:6.1.4.6+dfsg-2) unstable; urgency=medium

  * Skip flaky tests (Closes: #1006981)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Apr 2022 09:24:12 -0300

rails (2:6.1.4.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1.4.6+dfsg

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 Mar 2022 08:26:52 +0530
