## rails 6.1.7.3%2Bdfsg

=== debian/changelog ===
rails (2:6.1.7.3+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 May 2023 16:54:08 +0530

rails (2:6.1.7.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1.7.3+dfsg. Closes: #1030050.
    + This is a security-only release from a rails stable branch.
      Upstream changelogs:
      https://github.com/rails/rails/releases/tag/v6.1.7.1
      https://github.com/rails/rails/releases/tag/v6.1.7.2
      https://github.com/rails/rails/releases/tag/v6.1.7.3
      Fixed CVEs: CVE-2023-22796 CVE-2023-22794 CVE-2022-44566 CVE-2023-22795
      CVE-2023-22792 CVE-2023-28120 CVE-2023-23913
    + All reverse dependencies and build-dependencies have been
      tested using the ruby team's tooling. No regressions were found.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 25 Mar 2023 23:39:22 +0100

rails (2:6.1.7+dfsg-3~bpo11+2) bullseye-backports; urgency=medium

  * Disable rails-ruby3.1 patch as it's not needed for bullseye.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Feb 2023 16:31:00 +0530

rails (2:6.1.7+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  [ Utkarsh Gupta ]
  * Rebuild for bullseye-backports.
  * Add nocheck to puma and ruby-tzinfo.
  * Disable rollup-3 patch as it's not needed in bullseye.

  [ Pirate Praveen ]
  * Revert "Convert rails-ujs.coffee to js using coffee command line".

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 07 Feb 2023 22:13:53 +0530
